Subject: Re: linux-next: build failure after merge of the drm tree

From: Greg KH <[email-masked]>
Date: Mon, 28 Nov 2011 14:07:49 +0900

On Mon, Nov 28, 2011 at 01:52:04PM +1100, Stephen Rothwell wrote:
> Hi Alan,
> 
> On Fri, 25 Nov 2011 10:30:11 +0000 Alan Cox <[email-masked]> wrote:
> >
> > > Ping?
> > 
> > As I said last time you asked this - the correct merge resolution is to
> > pull the DRM updates and mark the staging GMA500 Kconfig "&& BROKEN". The
> > staging driver is frozen while we merge outside of staging and will not
> > be getting any attention at this point - changes there just mess up the
> > move work which is far more important.
> > 
> > Also nothing in staging should be allowed to hold up real work. The
> > resolution for anything in staging blocking merges is to mark the staging
> > parts && BROKEN IMHO
> 
> Then if you are moving a driver out of staging, you should put a patch in
> your tree to disable it in staging (or remove it in staging) and send
> that patch to Greg as well.

That patch is already in my staging-next tree, so all should be good
now.

Even then, I don't think that broken staging drivers should stop any
other tree from being included, except for the staging tree itself.

thanks,

greg k-h